<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_solver_shared.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_solver_shared.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecfd__solver__shared"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html">cfd_solver_shared</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aef1e9a1bf9a71b0643ad3be095601f8b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#aef1e9a1bf9a71b0643ad3be095601f8b">cfd_solver_shared::cfd_density_residuals</a> (cfd)</td></tr>
<tr class="separator:aef1e9a1bf9a71b0643ad3be095601f8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bf36a0730435d301bbfdb5ef8ff997d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a3bf36a0730435d301bbfdb5ef8ff997d">cfd_solver_shared::cfd_density_inverse</a> (cfd, dt_opt)</td></tr>
<tr class="separator:a3bf36a0730435d301bbfdb5ef8ff997d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34ad590fe7dd6ae36d08262b32f459c3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a34ad590fe7dd6ae36d08262b32f459c3">cfd_solver_shared::cfd_update_energy_source</a> (scalar_E, cfd)</td></tr>
<tr class="separator:a34ad590fe7dd6ae36d08262b32f459c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac13aa6128b613c0c877b3ca3466d8ef1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#ac13aa6128b613c0c877b3ca3466d8ef1">cfd_solver_shared::cfd_update_energy_rhs</a> (src_RHS, cfd)</td></tr>
<tr class="separator:ac13aa6128b613c0c877b3ca3466d8ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d38b8b210aba9dbbb8225483fd2a117"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a2d38b8b210aba9dbbb8225483fd2a117">cfd_solver_shared::cfd_continuity_maxerror</a> (max_err, cfd)</td></tr>
<tr class="separator:a2d38b8b210aba9dbbb8225483fd2a117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5e88b5771548ac3c0a0369f8b29437"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a6b5e88b5771548ac3c0a0369f8b29437">cfd_solver_shared::limit_energy_source</a> (scalar_E, cfd)</td></tr>
<tr class="separator:a6b5e88b5771548ac3c0a0369f8b29437"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b40454a80e6227b230b7b0474cc6991"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a0b40454a80e6227b230b7b0474cc6991">cfd_solver_shared::cfd_update_energy_bc</a> (cfd)</td></tr>
<tr class="separator:a0b40454a80e6227b230b7b0474cc6991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f61370cf1782a3e5a44ab17c837a342"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__solver__shared.html#a2f61370cf1782a3e5a44ab17c837a342">cfd_solver_shared::cfd_ib_set_solid_cv_t_e</a> (cfd)</td></tr>
<tr class="separator:a2f61370cf1782a3e5a44ab17c837a342"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:48 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
